Thứ Hai, 13 tháng 7, 2009

Hướng dẫn viết lisp bài 3

Bạn nên theo dỏi theo tên bài viết tăng từ nhỏ tới lớn thì mới đúng trình tự!
Cũng với đoạn trên nhưng bây giờ không vẽ đường thẳng nửa mà vẽ đường tròn:

Thay dòng(command ".line" a b "")
Bằng dòng(command ".circle" a b)
Bạn để ý nhé dòng vẽ line có "" sau khi chọn a và b còn vẽ circle thì không. Vì khi vẽ line sau khi nhập hai điểm sẽ tiếp tục lệnh line muốn kết thúc phải enter, còn circle thì chỉ cần chọn tâm và bán kính là kết thúc lệnh nên không có enter để kết thúc.
-Để thấy cái lợi của lisp bạn lưu đoạn sau thành file lsp rồi chạy thử.
(defun c:doanthang ()

(setq a (getpoint "\nChon diem: "))
(setq b (getpoint a"\nChon diem: "))
(command ".line" a b "")
(command ".circle" a b)(command ".circle" b a)
(princ))
Sẽ thấy sau khi chọn 2 điểm trên màn hình lisp sẽ vẻ ra:
-Đường thẳng từ a đến b.
-Đường tròn tâm a bán kính ab.
-Đường tròn tâm b bán kính ab.
**Kinh nghiệm rút ra:
-Từ 1 kiểu dữ liệu nhập vào lisp có thể làm nhiều việc (đây mới là sử dụng nguyên gốc hai điểm a và b chưa kể đến tính toán và cho ra điểm mới phục vụ mục đích nào đó).
-Sau khi dử liệu được nhập (điểm a và b) có thể dùng vào mọi việc không cần đến thứ tự ví dụ nhập a trước nhưng vẫn có thể dùng b trước như dòng vẽ circle thứ 2.

1 nhận xét:

  1. em xong bài 3. Anh viết rất dễ hiểu. cảm ơn anh nhé!

    Trả lờiXóa

Khi viết nhận xét mong bạn không đứng vai trò nặc danh! Bạn có thể chọn Name/Url trong đó Url là http://duy782006.blogspot.com/ như vậy hay hơn nặc danh bạn nhé.